package com.cool.store.enums.HqtEnum;

/**
 * @Author: WangShuo
 * @Date: 2025/07/31/10:15
 * @Version 1.0
 * @注释:
 */
public enum HqtSignFeeEnum {
    /**
     * field8__c 是否已收设计费
     * 是:option44
     * 否:option45
     */
    YES("option44", "是", 1),
    NO("option45", "否", 0);
    private String code;
    private String msg;
    private Integer value;

    HqtSignFeeEnum(String code, String msg, Integer value) {
        this.code = code;
        this.msg = msg;
        this.value = value;
    }

    public static String getMsgByCode(String code) {
        for (HqtSignFeeEnum value : HqtSignFeeEnum.values()) {
            if (value.getCode().equals(code)) {
                return value.getMsg();
            }
        }
        return null;
    }

    public static HqtSignFeeEnum getCodeByValue(Integer value) {
        for (HqtSignFeeEnum hqtSignFeeEnum : HqtSignFeeEnum.values()) {
            if (hqtSignFeeEnum.getValue().equals(value)) {
                return hqtSignFeeEnum;
            }
        }
        return null;
    }

    public String getCode() {
        return code;
    }

    public String getMsg() {
        return msg;
    }

    public Integer getValue() {
        return value;
    }
}
